Bug 460713 - virt-manager Help Contents references New Machine button under File menu that does not exist.
virt-manager Help Contents references New Machine button under File menu that...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-29 21:06 EDT by Michael Kearey
Modified: 2010-10-23 00:12 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:42:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Kearey 2008-08-29 21:06:28 EDT
Description of problem:

virt-manager desktop help, launched using f1 key or by clicking menu button Help->Contents,  references a 'New Machine' button under the 'File' menu that does not exist in GUI itself. In addition, the screenshots are from the previous version of virt-manager.

The documentation needs correction.

Version-Release number of selected component (if applicable):

# rpm -q virt-manager
virt-manager-0.5.3-8.el5


How reproducible:
100%

Steps to Reproduce:
1. Open virt-manager GUI
2. Click 'Help->Contents'
3. Select "3. The Manager Window"
4. Scroll to "3.2. File Menu Choices"
  
Actual results:

3.2 section shows :

"The File menu in the Manager window gives you the following
    options:

New machine...

    Starts the virtual machine creation wizard. Clicking the
           New button at the bottom of the window has the
           same effect."

The 'New Machine item does not exist. 


Expected results:

Documentation requires alteration to describe the items correctly.

Additional info:

The online Virtualisation Guide also has the same error, for which I am making another BZ:

https://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5.2/html/Virtualization/sect-Virtualization-Managing_guests_with_Virtual_Machine_Managervirt_manager-Creating_a_new_guest.html
Comment 1 Cole Robinson 2009-06-08 11:16:39 EDT
The virt-manager help documentation shipped with the app is massively
out of date, almost to the point of uselessness. While the proper fix
would be to update the docs to reflect reality, it would be a
non-trivial effort that I don't see happening in the short term.

To address the bugs that have accumulated wrt the docs, I've just disabled
access to the docs: all 'help' buttons/menu items have been removed.

Fix built into virt-manager 0.6.1-3.el5. Setting to MODIFIED.
Comment 5 Cole Robinson 2009-06-29 15:04:28 EDT
Updated fix being built into virt-manager-0.6.1-5.el5. Setting to MODIFIED.
Comment 7 Chris Ward 2009-07-03 14:07:36 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 10 errata-xmlrpc 2009-09-02 05:42:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1285.html

Note You need to log in before you can comment on or make changes to this bug.